public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pymdown-extensions/
Date: Tue, 16 May 2023 05:05:01 +0000 (UTC)	[thread overview]
Message-ID: <1684213492.d4f617bbfbd42f0bd6b96951d5d02be2a9904092.mgorny@gentoo> (raw)

commit:     d4f617bbfbd42f0bd6b96951d5d02be2a9904092
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue May 16 04:37:02 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue May 16 05:04:52 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d4f617bb

dev-python/pymdown-extensions: Bump to 10.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pymdown-extensions/Manifest             |  1 +
 .../pymdown-extensions-10.0.ebuild                 | 59 ++++++++++++++++++++++
 2 files changed, 60 insertions(+)

diff --git a/dev-python/pymdown-extensions/Manifest b/dev-python/pymdown-extensions/Manifest
index f1fc2ed44dbc..728b3af27142 100644
--- a/dev-python/pymdown-extensions/Manifest
+++ b/dev-python/pymdown-extensions/Manifest
@@ -1 +1,2 @@
+DIST pymdown-extensions-10.0.gh.tar.gz 1062913 BLAKE2B a7f0da6ce416ece64ecf4340e9c0c0330858cc972924b7d646abfb2080b10814f81bf4f5ad42895e523edfb1bdb61e805cb66507780fdad04dad7ffa6e266c66 SHA512 660e903705fe379e6ed2c67ede21eea8a4d0e14731e036b556eaccc6a3ab76dce71e29d1581fbd822794d66382970fbc95ece9c2cd2f5854018a81a65e06239a
 DIST pymdown-extensions-9.11.gh.tar.gz 1062074 BLAKE2B d695fa946c264f7ce2da7731fd5ce5388152a2179830108a6b43f769144246c33118084b4b2fe1e45b4255e26dc91871be699043008f67d2f04c5e5396f9ad12 SHA512 7745f0da83e3ecab9ac16947662c7a4da31e9ed62c6c519457083e0e8075f386a10146f18edc59cb17dee383335bb303c109da2ab08501118a53ee7315b1095f

diff --git a/dev-python/pymdown-extensions/pymdown-extensions-10.0.ebuild b/dev-python/pymdown-extensions/pymdown-extensions-10.0.ebuild
new file mode 100644
index 000000000000..31418053ff8b
--- /dev/null
+++ b/dev-python/pymdown-extensions/pymdown-extensions-10.0.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..11} )
+
+DOCS_BUILDER="mkdocs"
+DOCS_DEPEND="
+	dev-python/mkdocs-git-revision-date-localized-plugin
+	dev-python/mkdocs-minify-plugin
+	dev-python/mkdocs-material
+	dev-python/pymdown-lexers
+	dev-python/pyspelling
+"
+DOCS_INITIALIZE_GIT=1
+
+inherit distutils-r1 docs
+
+DESCRIPTION="Extensions for Python Markdown"
+HOMEPAGE="
+	https://github.com/facelessuser/pymdown-extensions/
+	https://pypi.org/project/pymdown-extensions/
+"
+SRC_URI="
+	https://github.com/facelessuser/pymdown-extensions/archive/${PV}.tar.gz
+		-> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+	>=dev-python/markdown-3.2[${PYTHON_USEDEP}]
+	dev-python/pyyaml[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+	test? (
+		>=dev-python/pygments-2.12.0[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+
+python_compile_all() {
+	default
+	# We need to do this manually instead of relying on docs_compile
+	# https://bytemeta.vip/repo/facelessuser/pymdown-extensions/issues/1446
+	# https://bugs.gentoo.org/859637
+	if use doc; then
+		python -m mkdocs build || die "Failed to make docs"
+		# Colliding files found by ecompress:
+		rm site/sitemap.xml.gz || die
+		HTML_DOCS=( "site/." )
+	fi
+}


             reply	other threads:[~2023-05-16  5:05 UTC|newest]

Thread overview: 98+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-05-16  5:05 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-02 11:22 [gentoo-commits] repo/gentoo:master commit in: dev-python/pymdown-extensions/ Michał Górny
2024-09-30  4:04 Michał Górny
2024-09-30  4:04 Michał Górny
2024-09-28  7:42 Michał Górny
2024-09-26 16:05 Arthur Zamarin
2024-09-23  3:48 Michał Górny
2024-09-22 14:22 Michał Górny
2024-08-17  7:28 Michał Górny
2024-07-28  5:25 Michał Górny
2024-06-17 16:27 Michał Górny
2024-05-17  8:15 Michał Górny
2024-04-28  2:37 Michał Górny
2024-04-19  2:44 Michał Górny
2024-03-21 17:45 Arthur Zamarin
2024-03-05  5:18 Michał Górny
2024-03-02 20:37 Michał Górny
2024-03-01 20:35 Michał Górny
2024-01-18 18:46 Michał Górny
2024-01-18 18:03 Arthur Zamarin
2023-12-31  7:17 Michał Górny
2023-12-27  4:33 Michał Górny
2023-12-15 10:59 Michał Górny
2023-12-15 10:50 Arthur Zamarin
2023-11-25 18:49 Arthur Zamarin
2023-11-24 15:45 Arthur Zamarin
2023-11-22 12:27 Michał Górny
2023-11-22 12:12 Arthur Zamarin
2023-11-11  8:42 Michał Górny
2023-10-20  4:42 Michał Górny
2023-09-30  6:49 Michał Górny
2023-09-30  6:37 Arthur Zamarin
2023-09-03  4:12 Michał Górny
2023-08-31 13:22 Michał Górny
2023-08-29  4:20 Michał Górny
2023-08-19 18:19 Michał Górny
2023-08-19 17:53 Arthur Zamarin
2023-07-17  8:13 Andrew Ammerlaan
2023-07-14  5:34 Michał Górny
2023-07-14  5:34 Michał Górny
2023-06-06 16:12 Michał Górny
2023-05-19 11:02 Michał Górny
2023-05-19  7:11 Sam James
2023-05-17  3:45 Michał Górny
2023-05-15 20:15 Arthur Zamarin
2023-05-15 20:04 Arthur Zamarin
2023-04-14 19:43 Sam James
2023-04-14  4:04 Sam James
2023-04-08 12:29 Michał Górny
2023-04-08  9:57 Arthur Zamarin
2023-04-08  5:13 Michał Górny
2023-03-06 14:05 Michał Górny
2023-02-25  5:47 Arthur Zamarin
2023-01-28 19:56 Michał Górny
2023-01-28 16:53 Arthur Zamarin
2023-01-20 21:38 Michał Górny
2023-01-14 10:00 Arthur Zamarin
2023-01-11 20:34 Michał Górny
2022-12-10 15:46 Michał Górny
2022-11-23 20:30 Andrew Ammerlaan
2022-11-11  6:52 Michał Górny
2022-11-11  5:34 Sam James
2022-11-08  5:55 Michał Górny
2022-10-23  5:00 Michał Górny
2022-10-10  8:08 Andrew Ammerlaan
2022-10-01  9:26 Arthur Zamarin
2022-07-10 19:16 Michał Górny
2022-07-10 19:12 Sam James
2022-06-06 18:44 Arthur Zamarin
2022-06-06  9:53 Michał Górny
2022-06-06  9:29 Jakov Smolić
2022-05-17 12:20 Andrew Ammerlaan
2022-05-01 21:51 Jakov Smolić
2022-04-25  8:18 Michał Górny
2022-04-19 16:03 Michał Górny
2022-04-19 13:46 Jakov Smolić
2022-03-20  9:26 Michał Górny
2022-03-16  7:56 Michał Górny
2022-02-11  9:42 Michał Górny
2021-12-15 16:54 Michał Górny
2021-12-15 16:46 Jakov Smolić
2021-11-14 20:53 Michał Górny
2021-10-31 20:29 Michał Górny
2021-10-31 17:55 Sam James
2021-09-30  6:26 Michał Górny
2021-09-23 15:35 Marek Szuba
2021-09-09 15:51 Arthur Zamarin
2021-07-24 17:33 Michał Górny
2021-07-24 17:10 Sam James
2021-07-15  7:38 Agostino Sarubbo
2021-05-22 20:55 Andrew Ammerlaan
2021-05-09  8:23 Michał Górny
2021-01-26 12:35 Michał Górny
2021-01-26  9:52 Michał Górny
2021-01-26  9:52 Michał Górny
2020-12-08  5:53 Joonas Niilola
2020-12-08  5:53 Joonas Niilola
2020-12-08  5:53 Joonas Niilola

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1684213492.d4f617bbfbd42f0bd6b96951d5d02be2a9904092.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox